Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wms.capabilities
Class Attribution

    java.lang.Object
      org.deegree.ogcwebservices.wms.capabilities.Attribution

    public class Attribution

extends Object

The optional Attribution element provides a way to identify the source of the map data used in a Layer or collection of Layers. Attribution encloses several optional elements: states the data provider's URL; is a human-readable string naming the data provider; <LogoURL> is the URL of a logo image. Client applications may choose to display one or more of these items. A <Format> element in LogoURL indicates the MIME type of the logo image, and the attributes width and height state the size of the image in pixels. <p> ---------------------------------------------------------------------- </p> <P> <P> <DL> <DT><B>Version:</B></DT> <DD>$Revision: 18195 $</DD> <DT><B>Author:</B></DT> <DD><a href="mailto:k.lupp@web.de">Katharina Lupp</a>, <a href="mailto:mschneider@lat-lon.de">Markus Schneider</a></DD> </DL> <HR> <P> <!-- ======== CONSTRUCTOR SUMMARY ======== --> <A NAME="constructor_summary"><!-- --></A> <TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY=""> <TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor"> <TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2"> <B>Constructor Summary</B></FONT></TH> </TR> <TR BGCOLOR="white" CLASS="TableRowColor"> <TD><CODE><B><A HREF="../../../../../org/deegree/ogcwebservices/wms/capabilities/Attribution.html#Attribution(java.lang.String, java.net.URL, org.deegree.ogcwebservices.wms.capabilities.LogoURL)">Attribution</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> title, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URL.html" title="class or interface in java.net">URL</A> onlineResource, <A HREF="../../../../../org/deegree/ogcwebservices/wms/capabilities/LogoURL.html" title="class in org.deegree.ogcwebservices.wms.capabilities">LogoURL</A> logoURL)</CODE> <BR> constructor initializing the class with the attributes</TD> </TR> </TABLE> <!-- ========== METHOD SUMMARY =========== --> <A NAME="method_summary"><!-- --></A> <TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY=""> <TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor"> <TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2"> <B>Method Summary</B></FONT></TH> </TR> <TR BGCOLOR="white" CLASS="TableRowColor"> <TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1"> <CODE> <A HREF="../../../../../org/deegree/ogcwebservices/wms/capabilities/LogoURL.html" title="class in org.deegree.ogcwebservices.wms.capabilities">LogoURL</A></CODE></FONT></TD> <TD><CODE><B><A HREF="../../../../../org/deegree/ogcwebservices/wms/capabilities/Attribution.html#getLogoURL()">getLogoURL</A></B>()</CODE> <BR> </TD> </TR> <TR BGCOLOR="white" CLASS="TableRowColor"> <TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1"> <CODE> <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URL.html" title="class or interface in java.net">URL</A></CODE></FONT></TD> <TD><CODE><B><A HREF="../../../../../org/deegree/ogcwebservices/wms/capabilities/Attribution.html#getOnlineResource()">getOnlineResource</A></B>()</CODE> <BR> </TD> </TR> <TR BGCOLOR="white" CLASS="TableRowColor"> <TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1"> <CODE> <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD> <TD><CODE><B><A HREF="../../../../../org/deegree/ogcwebservices/wms/capabilities/Attribution.html#getTitle()">getTitle</A></B>()</CODE> <BR> </TD> </TR> <TR BGCOLOR="white" CLASS="TableRowColor"> <TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1"> <CODE> void</CODE></FONT></TD> <TD><CODE><B><A HREF="../../../../../org/deegree/ogcwebservices/wms/capabilities/Attribution.html#setLogoURL(org.deegree.ogcwebservices.wms.capabilities.LogoURL)">setLogoURL</A></B>(<A HREF="../../../../../org/deegree/ogcwebservices/wms/capabilities/LogoURL.html" title="class in org.deegree.ogcwebservices.wms.capabilities">LogoURL</A> logoURL)</CODE> <BR> sets the URL of a logo image</TD> </TR> <TR BGCOLOR="white" CLASS="TableRowColor"> <TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1"> <CODE> void</CODE></FONT></TD> <TD><CODE><B><A HREF="../../../../../org/deegree/ogcwebservices/wms/capabilities/Attribution.html#setOnlineResource(java.net.URL)">setOnlineResource</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URL.html" title="class or interface in java.net">URL</A> onlineResource)</CODE> <BR> sets the data provider's URL</TD> </TR> <TR BGCOLOR="white" CLASS="TableRowColor"> <TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1"> <CODE> void</CODE></FONT></TD> <TD><CODE><B><A HREF="../../../../../org/deegree/ogcwebservices/wms/capabilities/Attribution.html#setTitle(java.lang.String)">setTitle</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> title)</CODE> <BR> sets the title</TD> </TR> <TR BGCOLOR="white" CLASS="TableRowColor"> <TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1"> <CODE> <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD> <TD><CODE><B><A HREF="../../../../../org/deegree/ogcwebservices/wms/capabilities/Attribution.html#toString()">toString</A></B>()</CODE> <BR> </TD> </TR> </TABLE> <A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A> <TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY=""> <TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor"> <TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH> </TR> <TR BGCOLOR="white" CLASS="TableRowColor"> <TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD> </TR> </TABLE> <P> <!-- ========= CONSTRUCTOR DETAIL ======== --> <A NAME="constructor_detail"><!-- --></A> <TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY=""> <TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor"> <TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2"> <B>Constructor Detail</B></FONT></TH> </TR> </TABLE> <A NAME="Attribution(java.lang.String, java.net.URL, org.deegree.ogcwebservices.wms.capabilities.LogoURL)"><!-- --></A><H3> Attribution</H3> <PRE> public <A HREF="../../../../../src-html/org/deegree/ogcwebservices/wms/capabilities/Attribution.html#line.70"><B>Attribution</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> title, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URL.html" title="class or interface in java.net">URL</A> onlineResource, <A HREF="../../../../../org/deegree/ogcwebservices/wms/capabilities/LogoURL.html" title="class in org.deegree.ogcwebservices.wms.capabilities">LogoURL</A> logoURL)</PRE> <DL> <DD>constructor initializing the class with the attributes <P> <DL> <DT><B>Parameters:</B><DD><CODE>title</CODE> - <DD><CODE>onlineResource</CODE> - <DD><CODE>logoURL</CODE> - </DL> </DL> <!-- ============ METHOD DETAIL ========== --> <A NAME="method_detail"><!-- --></A> <TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY=""> <TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor"> <TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2"> <B>Method Detail</B></FONT></TH> </TR> </TABLE> <A NAME="getTitle()"><!-- --></A><H3> getTitle</H3> <PRE> public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../../../src-html/org/deegree/ogcwebservices/wms/capabilities/Attribution.html#line.79"><B>getTitle</B></A>()</PRE> <DL> <DD><DL> <DT><B>Returns:</B><DD>a human-readable string naming the data providerreturns the title of the attribution.</DL> </DD> </DL> <HR> <A NAME="setTitle(java.lang.String)"><!-- --></A><H3> setTitle</H3> <PRE> public void <A HREF="../../../../../src-html/org/deegree/ogcwebservices/wms/capabilities/Attribution.html#line.88"><B>setTitle</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> title)</PRE> <DL> <DD>sets the title <P> <DD><DL> <DT><B>Parameters:</B><DD><CODE>title</CODE> - </DL> </DD> </DL> <HR> <A NAME="getOnlineResource()"><!-- --></A><H3> getOnlineResource</H3> <PRE> public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URL.html" title="class or interface in java.net">URL</A> <A HREF="../../../../../src-html/org/deegree/ogcwebservices/wms/capabilities/Attribution.html#line.95"><B>getOnlineResource</B></A>()</PRE> <DL> <DD><DL> <DT><B>Returns:</B><DD>the data provider's URL</DL> </DD> </DL> <HR> <A NAME="setOnlineResource(java.net.URL)"><!-- --></A><H3> setOnlineResource</H3> <PRE> public void <A HREF="../../../../../src-html/org/deegree/ogcwebservices/wms/capabilities/Attribution.html#line.104"><B>setOnlineResource</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URL.html" title="class or interface in java.net">URL</A> onlineResource)</PRE> <DL> <DD>sets the data provider's URL <P> <DD><DL> <DT><B>Parameters:</B><DD><CODE>onlineResource</CODE> - </DL> </DD> </DL> <HR> <A NAME="getLogoURL()"><!-- --></A><H3> getLogoURL</H3> <PRE> public <A HREF="../../../../../org/deegree/ogcwebservices/wms/capabilities/LogoURL.html" title="class in org.deegree.ogcwebservices.wms.capabilities">LogoURL</A> <A HREF="../../../../../src-html/org/deegree/ogcwebservices/wms/capabilities/Attribution.html#line.111"><B>getLogoURL</B></A>()</PRE> <DL> <DD><DL> <DT><B>Returns:</B><DD>the URL of a logo image</DL> </DD> </DL> <HR> <A NAME="setLogoURL(org.deegree.ogcwebservices.wms.capabilities.LogoURL)"><!-- --></A><H3> setLogoURL</H3> <PRE> public void <A HREF="../../../../../src-html/org/deegree/ogcwebservices/wms/capabilities/Attribution.html#line.120"><B>setLogoURL</B></A>(<A HREF="../../../../../org/deegree/ogcwebservices/wms/capabilities/LogoURL.html" title="class in org.deegree.ogcwebservices.wms.capabilities">LogoURL</A> logoURL)</PRE> <DL> <DD>sets the URL of a logo image <P> <DD><DL> <DT><B>Parameters:</B><DD><CODE>logoURL</CODE> - </DL> </DD> </DL> <HR> <A NAME="toString()"><!-- --></A><H3> toString</H3> <PRE> public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../../../src-html/org/deegree/ogcwebservices/wms/capabilities/Attribution.html#line.125"><B>toString</B></A>()</PRE> <DL> <DD><DL> <DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></DL> </DD> <DD><DL> </DL> </DD> </DL> <!-- ========= END OF CLASS DATA ========= --> <HR> <!-- ======= START OF BOTTOM NAVBAR ====== --> <A NAME="navbar_bottom"><!-- --></A> <A HREF="#skip-navbar_bottom" title="Skip navigation links"></A> <TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY=""> <TR> <TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1"> <A NAME="navbar_bottom_firstrow"><!-- --></A> <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY=""> <TR ALIGN="center" VALIGN="top"> <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1"> <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A> </TD> <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1"> <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A> </TD> <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> <FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT> </TD> <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1"> <A HREF="class-use/Attribution.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A> </TD> <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1"> <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A> </TD> <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1"> <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A> </TD> <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1"> <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A> </TD> <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1"> <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A> </TD> </TR> </TABLE> </TD> <TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM> deegree 2.4 (2010/11/11 10:47 build-27-official)</EM> </TD> </TR> <TR> <TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2"> PREV CLASS <A HREF="../../../../../org/deegree/ogcwebservices/wms/capabilities/AuthorityURL.html" title="class in org.deegree.ogcwebservices.wms.capabilities"><B>NEXT CLASS</B></A></FONT></TD> <TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2"> <A HREF="../../../../../index.html?org/deegree/ogcwebservices/wms/capabilities/Attribution.html" target="_top"><B>FRAMES</B></A> <A HREF="Attribution.html" target="_top"><B>NO FRAMES</B></A> <SCRIPT type="text/javascript"> <!-- if(window==top) { document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>'); } //--> </SCRIPT> <NOSCRIPT> <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A> </NOSCRIPT> </FONT></TD> </TR> <TR> <TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2"> SUMMARY: NESTED | FIELD | <A HREF="#constructor_summary">CONSTR</A> | <A HREF="#method_summary">METHOD</A></FONT></TD> <TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2"> DETAIL: FIELD | <A HREF="#constructor_detail">CONSTR</A> | <A HREF="#method_detail">METHOD</A></FONT></TD> </TR> </TABLE> <A NAME="skip-navbar_bottom"></A> <!-- ======== END OF BOTTOM NAVBAR ======= --> <HR> <p align="center">an open source project founded by <a href="http://www.latlon.de">lat/lon</a>, Bonn, Germany.<BR> <i>For more information visit: <a href="http://www.deegree.org">http://www.deegree.org</a> </i> </p> </BODY> </HTML>